summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2009-04-30 07:00:23 +0000
committerZac Medico <zmedico@gentoo.org>2009-04-30 07:00:23 +0000
commitbe5cf411f236bb33f8a6b46527eb2ac8241366f7 (patch)
treeda2f6d87c801fdeab7919856cbf2e9994916959c /bin
parentMake RecursiveFileLoader skip hidden directories, and only use a single stat (diff)
downloadportage-multirepo-be5cf411f236bb33f8a6b46527eb2ac8241366f7.tar.gz
portage-multirepo-be5cf411f236bb33f8a6b46527eb2ac8241366f7.tar.bz2
portage-multirepo-be5cf411f236bb33f8a6b46527eb2ac8241366f7.zip
Move the ebuild sourcing code into a new _source_ebuild() function.
(trunk r13299) svn path=/main/branches/2.1.6/; revision=13470
Diffstat (limited to 'bin')
-rwxr-xr-xbin/ebuild.sh15
-rwxr-xr-xbin/isolated-functions.sh1
2 files changed, 10 insertions, 6 deletions
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index d1e2e8fd..74a848a3 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -1802,11 +1802,7 @@ if ! hasq "$EBUILD_PHASE" clean cleanrm depend && \
unset PORTAGE_SANDBOX_ON
fi
-if ! hasq "$EBUILD_PHASE" clean cleanrm ; then
-if [[ $EBUILD_PHASE = depend || ! -f $T/environment || \
- -f $PORTAGE_BUILDDIR/.ebuild_changed ]] || \
- hasq noauto $FEATURES ; then
-
+_source_ebuild() {
# The bashrcs get an opportunity here to set aliases that will be expanded
# during sourcing of ebuilds and eclasses.
source_all_bashrcs
@@ -1845,7 +1841,14 @@ if [[ $EBUILD_PHASE = depend || ! -f $T/environment || \
# This needs to be exported since prepstrip is a separate shell script.
[[ -n $QA_PRESTRIPPED ]] && export QA_PRESTRIPPED
-fi
+}
+
+if ! hasq "$EBUILD_PHASE" clean cleanrm ; then
+ if [[ $EBUILD_PHASE = depend || ! -f $T/environment || \
+ -f $PORTAGE_BUILDDIR/.ebuild_changed ]] || \
+ hasq noauto $FEATURES ; then
+ _source_ebuild
+ fi
fi
# Set default EAPI if necessary, so that most
diff --git a/bin/isolated-functions.sh b/bin/isolated-functions.sh
index 9abfc308..ccef19ed 100755
--- a/bin/isolated-functions.sh
+++ b/bin/isolated-functions.sh
@@ -518,6 +518,7 @@ save_ebuild_env() {
source_all_bashrcs ebuild_main \
ebuild_phase ebuild_phase_with_hooks \
_ebuild_arg_to_phase _ebuild_phase_funcs default \
+ _source_ebuild \
${QA_INTERCEPTORS}
# portage config variables and variables set directly by portage